javax.security.auth.message

## Interface MessagePolicy.Target

- Enclosing class:
    MessagePolicy

      public static interface MessagePolicy.Target

  This interface is used to represent and perform message targeting. Targets are used by message authentication modules to operate on the corresponding content within messages.

  The internal state of a Target indicates whether it applies to the request or response message of a MessageInfo and to which components it applies within the identified message.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `get(MessageInfo messageInfo)` Get the Object identified by the Target from the MessageInfo.
    `void` | `put(MessageInfo messageInfo, Object data)` Put the Object into the MessageInfo at the location identified by the target.
    `void` | `remove(MessageInfo messageInfo)` Remove the Object identified by the Target from the MessageInfo.

- - ### Method Detail

    - #### get

          Object get(MessageInfo messageInfo)

      Get the Object identified by the Target from the MessageInfo.
      Parameters:
        `messageInfo` - The MessageInfo containing the request or response message from which the target is to be obtained.
      Returns:
        An Object representing the target, or null when the target could not be found in the MessageInfo.

    - #### remove

          void remove(MessageInfo messageInfo)

      Remove the Object identified by the Target from the MessageInfo.
      Parameters:
        `messageInfo` - The MessageInfo containing the request or response message from which the target is to be removed.

    - #### put

          void put(MessageInfo messageInfo,
                 Object data)

      Put the Object into the MessageInfo at the location identified by the target.
      Parameters:
        `messageInfo` - The MessageInfo containing the request or response message into which the object is to be put.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.